import leftPad from 'left-pad';

export default function dateFormat(date, format) {
  // Let's make it simple as possible - we're going to only support
  // %Y, %M, %D, %h, %m, %s. UTC is not supported for now.
  let result = format;
  result = result.replace(/%Y/g, () => leftPad(date.getUTCFullYear(), 4, 0));
  result = result.replace(/%M/g, () => leftPad(date.getUTCMonth() + 1, 2, 0));
  result = result.replace(/%D/g, () => leftPad(date.getUTCDate(), 2, 0));
  result = result.replace(/%h/g, () => leftPad(date.getUTCHours(), 2, 0));
  result = result.replace(/%m/g, () => leftPad(date.getUTCMinutes(), 2, 0));
  result = result.replace(/%s/g, () => leftPad(date.getUTCSeconds(), 2, 0));
  return result;
}
